# Ensures that dynamic section has sh_entsize correctly set
# RUN: yaml2obj %s -o %t
# RUN: llvm-readobj -sections %t | FileCheck %s --check-prefix=SECTION

!ELF
FileHeader:
  Class:           ELFCLASS64
  Data:            ELFDATA2LSB
  Type:            ET_DYN
  Machine:         EM_X86_64
Sections:
  - Name: .dynamic
    Type: SHT_DYNAMIC
    Flags: [ SHF_ALLOC, SHF_WRITE ]

# SECTION: Name: .dynamic
# SECTION: EntrySize: 16
